<?php



class VioletdealerMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.VioletdealerMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(VioletdealerPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(VioletdealerPeer::TABLE_NAME);
		$tMap->setPhpName('Violetdealer');
		$tMap->setClassname('Violetdealer');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('VD_ID', 'VdId', 'INTEGER', true, 11);

		$tMap->addColumn('VD_DEALERID', 'VdDealerid', 'INTEGER', true, 11);

		$tMap->addColumn('VD_NAME', 'VdName', 'VARCHAR', true, 255);

		$tMap->addColumn('VD_DATE', 'VdDate', 'DATE', true, null);

	} 
} 